summaryrefslogtreecommitdiffstats
path: root/graphics/gthumb
diff options
context:
space:
mode:
Diffstat (limited to 'graphics/gthumb')
-rw-r--r--graphics/gthumb/README4
-rw-r--r--graphics/gthumb/gthumb.SlackBuild68
-rw-r--r--graphics/gthumb/gthumb.info8
-rw-r--r--graphics/gthumb/slack-desc6
4 files changed, 59 insertions, 27 deletions
diff --git a/graphics/gthumb/README b/graphics/gthumb/README
index 50224f54f8..325b964cd5 100644
--- a/graphics/gthumb/README
+++ b/graphics/gthumb/README
@@ -2,6 +2,6 @@ gThumb is an image viewer and browser for the GNOME desktop. It also
includes an importer tool for transferring photos from cameras.
gThumb supports printing multiple images on a single page using a printer
-while many other image viewers don't support it. Thus, it comes handy.
+while many other image viewers don't support it.
-clutter, libwebp, json-glib, brasero, and webkit2 are optional dependencies.
+clutter, brasero, and webkit2 are optional dependencies.
diff --git a/graphics/gthumb/gthumb.SlackBuild b/graphics/gthumb/gthumb.SlackBuild
index c285038c08..9f28b56283 100644
--- a/graphics/gthumb/gthumb.SlackBuild
+++ b/graphics/gthumb/gthumb.SlackBuild
@@ -1,13 +1,34 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for gthumb
-# Written by crocket (crockabiscuit@gmail.com)
+# Copyright 2020,2021 Robby Workman, Tuscaloosa, Alabama, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=gthumb
-VERSION=${VERSION:-3.4.5}
+VERSION=${VERSION:-3.10.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -17,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -51,21 +79,25 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --infodir=/usr/info \
- --enable-static=no \
- --docdir=/usr/doc/$PRGNAM-$VERSION \
- --build=$ARCH-slackware-linux
-
-make
-make install DESTDIR=$PKG
+ --buildtype=release \
+ build || exit 1
+"${NINJA:=ninja}"
+$NINJA -C build || exit 1
+DESTDIR=$PKG $NINJA -C build install || exit 1
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
@@ -74,7 +106,7 @@ find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL MAINTAINERS NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING MAINTAINERS NEWS PERFORMANCE README.md $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
@@ -82,5 +114,5 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/gthumb/gthumb.info b/graphics/gthumb/gthumb.info
index 2246030a01..c141cd437f 100644
--- a/graphics/gthumb/gthumb.info
+++ b/graphics/gthumb/gthumb.info
@@ -1,8 +1,8 @@
PRGNAM="gthumb"
-VERSION="3.4.5"
-HOMEPAGE="https://wiki.gnome.org/Apps/Gthumb"
-DOWNLOAD="https://download.gnome.org/sources/gthumb/3.4/gthumb-3.4.5.tar.xz"
-MD5SUM="4e61136814fab59d8b1c3ebdbede6b56"
+VERSION="3.10.3"
+HOMEPAGE="https://wiki.gnome.org/action/show/Apps/Gthumb"
+DOWNLOAD="https://download.gnome.org/sources/gthumb/3.10/gthumb-3.10.3.tar.xz"
+MD5SUM="b3639fdfe7b3cc1d0f38358d752735c1"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES=""
diff --git a/graphics/gthumb/slack-desc b/graphics/gthumb/slack-desc
index e95b0c5903..8b1709f417 100644
--- a/graphics/gthumb/slack-desc
+++ b/graphics/gthumb/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-gthumb: gthumb (An image viewer)
+gthumb: gThumb (an image viewer)
gthumb:
gthumb: gThumb is an image viewer and browser for the GNOME desktop. It also
gthumb: includes an importer tool for transferring photos from cameras.
gthumb:
gthumb: gThumb supports printing multiple images on a single page using
gthumb: a printer while many other image viewers don't support it.
-gthumb: Thus, it comes handy.
gthumb:
-gthumb: Website: https://wiki.gnome.org/Apps/Gthumb
+gthumb: Homepage: https://wiki.gnome.org/action/show/Apps/Gthumb
+gthumb:
gthumb: